View Issue Details

IDProjectCategoryView StatusLast Update
0005856Simple:Presscode - classespublic2017-09-15 07:12
ReporterMr PapaAssigned ToMr Papa 
PrioritynormalSeverityN/AReproducibilityhave not tried
Status closedResolutionfixed 
Product Version5.8 
Target Version5.8Fixed in Version5.8 
Summary0005856: notice in permalink class build_url()
DescriptionSeeing these:

Sep 4, 2017 1:49 pm | spaErrNotice | 6 | php
file: /simple-press/sp-api/sp-api-class-spcpermalinks.php
line: 53
function: build_url
Notice | Undefined index: simple-press-version-440

its because somewhere (ajax?) this function is being called when the public member forum_slugs has not been populated... this is normally done in the core loader class at startup... not sure if ajax fires the core loader or not...

one possible fix is to have a constructor function load the slugs like the options class does... could also brute force check its populated before using...

just not sure best approach yet since I dont know where its coming from...
TagsNo tags attached.
change_log_textfor forums that no longer exist, just use the slug as provided instead of trying to fetch full slug (for subforums would include parent(s)), just use it
typedefect

Activities

svn

svn

2017-09-04 18:22

administrator   ~0019626

Changeset [15546] by steve on 2017-09-04 14:22:56 -0400 (Mon, 04 Sep 2017)

test issue 0005856 load forum slugs private member with contstructor function via a call

need to let it soak and see if any knock offs...

 Changed Files:

U trunk/sp-api/sp-api-class-spcpermalinks.php
U trunk/sp-startup/sp-load-class-spccoreloader.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=15546
Mr Papa

Mr Papa

2017-09-05 00:00

administrator   ~0019628

nope, that didnt help... still getting them...

just not sure from where... or how its not set... the slug is an actual forum and it exists in the table and should exist in the private variable...
svn

svn

2017-09-05 00:13

administrator   ~0019629

Changeset [15548] by steve on 2017-09-04 20:13:37 -0400 (Mon, 04 Sep 2017)

test issue 0005856 make sure forum slugs exist before use

 Changed Files:

U trunk/sp-api/sp-api-class-spcpermalinks.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=15548
Mr Papa

Mr Papa

2017-09-09 02:10

administrator   ~0019630

nope... still getting loads of these on support site...

about out of ideas as to why/when it occurs...

might as well revert what I changed too... but let you look first...
svn

svn

2017-09-10 01:32

administrator   ~0019632

Changeset [15549] by steve on 2017-09-09 21:32:46 -0400 (Sat, 09 Sep 2017)

test issue 0005856 for forums that no longer exist, just use the slug as provided instead of trying to fetch full slug (for subforums would include parent(s)), just use it

 Changed Files:

U trunk/sp-api/sp-api-class-spcpermalinks.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=15549

Issue History

Date Modified Username Field Change
2017-09-04 18:07 Mr Papa New Issue
2017-09-04 18:21 Mr Papa Assigned To => Mr Papa
2017-09-04 18:21 Mr Papa Status new => assigned
2017-09-04 18:22 svn =>
2017-09-04 18:22 svn Note Added: 0019626
2017-09-04 18:22 svn Status assigned => testing
2017-09-05 00:00 Mr Papa Status testing => rework
2017-09-05 00:00 Mr Papa Note Added: 0019628
2017-09-05 00:13 svn =>
2017-09-05 00:13 svn Note Added: 0019629
2017-09-05 00:13 svn Status rework => testing
2017-09-09 02:10 Mr Papa Note Added: 0019630
2017-09-09 02:11 Mr Papa Status testing => rework
2017-09-10 01:32 svn =>
2017-09-10 01:32 svn Note Added: 0019632
2017-09-10 01:32 svn Status rework => testing
2017-09-15 07:12 Mr Papa Status testing => closed
2017-09-15 07:12 Mr Papa Resolution open => fixed
2017-09-15 07:12 Mr Papa Fixed in Version => 5.8
2017-09-15 07:12 Mr Papa change_log_text update => for forums that no longer exist, just use the slug as provided instead of trying to fetch full slug (for subforums would include parent(s)), just use it